<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  props: {
    data: {
      type: Object,
      required: true,
      default() {
        return {};
      },
    },
    showInMobile: {
      type: Boolean,
      required: false,
      default: false,
    },
    selectedTab: {
      type: Number,
      required: true,
      default: 0,
    },
  },
});
</script>

<template>
  <div class="wrapper">
    <div class="tabs" :class="{ mobile: showInMobile }">
      <div
        v-for="(tab, tabIndex) in data.tabs"
        :key="tab.header.text"
        class="tab"
        :class="{ selected: selectedTab === tabIndex }"
        @click="$emit('tab-change', tabIndex)"
      >
        <SlpIcon
          class="icon"
          :name="tab.header.icon"
          variant="marketing"
          size="md"
        />
        <SlpTypography variant="body2">{{ tab.header.text }}</SlpTypography>
      </div>
    </div>
  </div>
  <!-- Commenting this block until further iteration. see: https://gitlab.com/gitlab-com/marketing/digital-experience/buyer-experience/-/merge_requests/1309#note_1176447355 -->
  <!-- <div class="mobile-overflow-arrow">
    <SlpIcon name="chevron-right" variant="product" size="md" />
  </div> -->
</template>

<style lang="scss" scoped>
.wrapper {
  display: flex;
  align-items: center;
  position: relative;
  &:after {
    content: '';
    display: none;
    position: absolute;
    right: 0;
    height: 100%;
    width: 66px;
    background: linear-gradient(
      270deg,
      #ffffff 0%,
      rgba(255, 255, 255, 0) 90.85%
    );
    @media (max-width: $breakpoint-md) {
      display: block;
    }
  }
  .mobile-overflow-arrow {
    display: none;
    @media (max-width: $breakpoint-md) {
      display: block;
    }
  }
}
.tabs {
  width: 100%;
  display: flex;
  justify-content: space-between;

  @media (max-width: $breakpoint-md) {
    display: none;
  }
  &.mobile {
    @media (max-width: $breakpoint-md) {
      display: flex;
      overflow-x: scroll;
      overflow-y: hidden;
    }
  }
  .tab {
    position: relative;
    bottom: -2px;
    min-width: 100px;
    padding: 16px;
    padding-bottom: 24px;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    .icon {
      margin-bottom: 16px;
      height: 24px;
      width: 24px;
    }
    cursor: pointer;
    &:hover {
      color: $color-accent-500;
    }
    &.selected {
      background-color: white;
      box-shadow: 0px -20px 50px -16px #d1d0d3;
      border-top: 2px solid $color-accent-500;
      padding-top: 14px;
      span {
        font-weight: 600;
      }
    }
  }
}
</style>
